Name:           tepl
Version:        3.0.0
Release:        2%{?dist}
Summary:        Text editor product line

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/Tepl
Source0:        https://download.gnome.org/sources/tepl/3.0/tepl-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(uchardet)

%description
Tepl is a library that eases the development of GtkSourceView-based text
editors and IDEs. Tepl is the acronym for “Text editor product line”.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        tests
Summary:        Tests for the %{name} package
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.


%prep
%autosetup


%build
%configure --enable-installed-tests
%make_build V=1


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -delete

%find_lang tepl-3


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f tepl-3.lang
%license COPYING
%doc AUTHORS NEWS README
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Amtk-3.typelib
%{_libdir}/girepository-1.0/Tepl-3.typelib
%{_libdir}/libamtk-3.so.0*
%{_libdir}/libtepl-3.so.0*

%files devel
%{_includedir}/amtk-3/
%{_includedir}/tepl-3/
%{_libdir}/libamtk-3.so
%{_libdir}/libtepl-3.so
%{_libdir}/pkgconfig/amtk-3.pc
%{_libdir}/pkgconfig/tepl-3.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Amtk-3.gir
%{_datadir}/gir-1.0/Tepl-3.gir
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/tepl-3.0/

%files tests
%dir %{_libexecdir}/installed-tests
%{_libexecdir}/installed-tests/tepl-3/
%dir %{_datadir}/installed-tests
%{_datadir}/installed-tests/tepl-3/


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 29 2017 Kalev Lember <klember@redhat.com> - 3.0.0-1
- Initial Fedora packaging
